• 欢迎访问圣洁的白莲!
  • 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏吧
  • 厚德载物,自强不息!

2020年04月的内容

解决django2.2与mysql兼容性问题

一、背景 2.2是django最新一个稳定的LTS版本,但是大部分人在升级过程中都遇到了兼容性问题,也就是下面这个异常: ImproperlyConfigured: mysqlclient 1.3.13 or newer is required 博主在之前遇到这个问题时,毫不犹豫地相信网上地解决方法–改源码,在后面使用中多次遇到这个问题,每次都……

记一次部署virtuanenvwrapper环境错误,提示virtualenv: error: unrecognized arguments: –no-site-packages

一、问题 编译安装了python3.8 在安装virtualenvwrapper后,配置好环境变量后,使用mkvirtualenv ss创建虚拟环境,提示一下错误: 二、解决方法 在多次查找资料后终于找到了答案,可能是因为我安装的python版本和virtualenv版本比较新,export VIRTUALENVWRAPPER_VIRTUALENV_ARG……